org.apache.xerces.impl.xpath

## Class XPathException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.xerces.impl.xpath.XPathException

All Implemented Interfaces:
  java.io.Serializable

    public class XPathException
    extends java.lang.Exception

XPath exception.

Version:
  $Id: XPathException.java 572107 2007-09-02 18:40:40Z mrglavas $
Author:
  Andy Clark, IBM
See Also:
  Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Constructor Summary

Constructors
Constructor and Description
`XPathException()` Constructs an exception.
`XPathException(java.lang.String key)` Constructs an exception with the specified key.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getKey()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XPathException

    public XPathException()

Constructs an exception.

#### XPathException

    public XPathException(java.lang.String key)

Constructs an exception with the specified key.

### Method Detail

#### getKey

    public java.lang.String getKey()